Bug 77752 - Text wrapped in .ppt (Linux) and after saving .ppt to .pptx (Win)
Summary: Text wrapped in .ppt (Linux) and after saving .ppt to .pptx (Win)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-22 01:12 UTC by Ofir
Modified: 2017-03-06 15:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
pptx showing the issue (76.00 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2014-04-22 01:12 UTC, Ofir
Details
pdf powerpoint 2013 showing the correct display (43.97 KB, application/pdf)
2014-04-22 01:12 UTC, Ofir
Details
pdf exported from LO showing wrapped text (6.82 KB, application/pdf)
2014-04-22 01:13 UTC, Ofir
Details
text wrapped after saving as .pptx (784 bytes, image/png)
2014-04-30 23:24 UTC, tommy27
Details
ppt showing the issue (76.00 KB, application/vnd.ms-powerpoint)
2014-05-01 08:32 UTC, Ofir
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ofir 2014-04-22 01:12:12 UTC
Created attachment 97716 [details]
pptx showing the issue

The text in the green box in the attached ppt is wrapped in Ubuntu but looks fine in Windows 7.

Bad
Ubuntu 14.04, LO 4.2.3.3

Good
Windows 7, LO 4.2.3.3
Comment 1 Ofir 2014-04-22 01:12:41 UTC
Created attachment 97717 [details]
pdf powerpoint 2013 showing the correct display
Comment 2 Ofir 2014-04-22 01:13:00 UTC
Created attachment 97718 [details]
pdf exported from LO showing wrapped text
Comment 3 tommy27 2014-04-30 23:24:34 UTC
Created attachment 98267 [details]
text wrapped after saving as .pptx

the test file you uploaded is not a .pptx but rather a .ppt and looks OK in Win7x64 using LO 4.2.3.3

however if I save it to .pptx, close and reload it, then the text gets wrapped and a bullet is added (see screenshot)

so I change status, summary notes and platform.
Comment 4 Ofir 2014-05-01 08:01:59 UTC
@tommy27
You are right. The problematic file is PPT and not PPTX but the PPT has a problem on Ubuntu 14.04.

Can you please verify that the text wraps in Ubuntu 14.04 with the original PPT and change the title and file name to match the issue?

Thanks
Comment 5 tommy27 2014-05-01 08:14:27 UTC
sorry I don't have Linux machine to test.

according to what you say and my tests the bug is present in .ppt format under Linux and only after saving to .pptx under Windows

changed summary notes to better reflect this situation.
Comment 6 Ofir 2014-05-01 08:32:10 UTC
Created attachment 98283 [details]
ppt showing the issue
Comment 7 Ofir 2015-02-06 11:18:53 UTC
Reproducible with LO 4.4.0.3, Ubuntu 14.04.

After installing the ttf-mscorefonts-installer package, the text is OK and doesn't wrap. So is it a font substitution issue?
Comment 8 QA Administrators 2016-02-21 08:35:43 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-03-06 15:20:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306